Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.diff
Class CommonMiddle

    java.lang.Object
      org.crosswire.common.diff.CommonMiddle

    public class CommonMiddle

extends Object

A CommonMiddle represents an overlap between a baseline/source text and a changed/target text.

Author:
  DM Smith [dmsmith555 at yahoo dot com]
See Also:
  `for license details.
  The copyright to this program is held by it's authors.`

Field Summary
`private String` | `commonality`
`private String` | `sourcePrefix`
`private String` | `sourceSuffix`
`private String` | `targetPrefix`
`private String` | `targetSuffix`

Constructor Summary
`CommonMiddle(String sourcePrefix, String sourceSuffix, String targetPrefix, String targetSuffix, String commonality)` A CommonMiddle represents an overlap between a baseline/source text and a changed/target text.

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getCommonality()`
`String` | `getSourcePrefix()`
`String` | `getSourceSuffix()`
`String` | `getTargetPrefix()`
`String` | `getTargetSuffix()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### sourcePrefix

    private String sourcePrefix

### sourceSuffix

    private String sourceSuffix

### targetPrefix

    private String targetPrefix

### targetSuffix

    private String targetSuffix

### commonality

    private String commonality

Constructor Detail

### CommonMiddle

    public CommonMiddle(String sourcePrefix,
                        String sourceSuffix,
                        String targetPrefix,
                        String targetSuffix,
                        String commonality)

  A CommonMiddle represents an overlap between a baseline/source text and a changed/target text.

  Parameters:
    `sourcePrefix` - The text before the commonality form the source
    `sourceSuffix` - The text after the commonality form the source
    `targetPrefix` - The text before the commonality form the target
    `targetSuffix` - The text after the commonality form the target
    `commonality` - The text in common

Method Detail

### getSourcePrefix

    public String getSourcePrefix()

  Returns:
    the source start

### getTargetPrefix

    public String getTargetPrefix()

  Returns:
    the target start

### getCommonality

    public String getCommonality()

  Returns:
    the commonality

### getSourceSuffix

    public String getSourceSuffix()

  Returns:
    the source end

### getTargetSuffix

    public String getTargetSuffix()

  Returns:
    the target end

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD